#include <SDL.h>

#include <iostream>

int main(int argc, char * argv[])
{
	if (SDL_Init(SDL_INIT_VIDEO|SDL_INIT_TIMER|SDL_INIT_EVENTS) != 0) 
	{
		std::cout << "ERROR SDL_Init: " << SDL_GetError() << std::endl;
		exit(1);
    }

	atexit(SDL_Quit);

	SDL_Window * win = NULL;
    SDL_Renderer * renderer = NULL;

	if(SDL_CreateWindowAndRenderer(800, 600, 0, &win, &renderer) != 0)
	{
		std::cout << "ERROR SDL_CreateWindowAndRenderer: " << SDL_GetError() << std::endl;
		exit(1);
	}

	bool running = true;

    while(running)
    {
        SDL_Event event;

        while(SDL_PollEvent(&event))
        {

            if (SDL_QUIT == event.type)
                running = false;
            else if(SDL_KEYUP == event.type)
            {
                if(SDLK_ESCAPE == event.key.keysym.sym)
                    running = false;
            }
        }

        // -- RENDERING --
        SDL_RenderClear(renderer);

        SDL_RenderPresent(renderer);
	}

	SDL_DestroyWindow(win);
	SDL_DestroyRenderer(renderer);

	return 0;
}
